// MouseHookDLL.h

#ifdef DLL_EXPORTS
	#define DLL_API __declspec(dllexport)
#else
	#define DLL_API __declspec(dllimport)
#endif

class DLL_API MouseHookHandler
{
	virtual void on_event( UINT cmd, MSLLHOOKSTRUCT* dat ) {}
	friend LRESULT CALLBACK LowLevelMouseProc( int, WPARAM, LPARAM );
};

DLL_API void MouseHookBegin( MouseHookHandler* hh );
DLL_API void MouseHookEnd();
